Skip to main content
POST
/
api
/
{projectId}
/
jobs
/
restore
Restore project to version
curl --request POST \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/restore \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "projectId": 123,
  "versionId": 123,
  "projectApiKey": "<string>"
}
'
import requests

url = "https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/restore"

payload = {
"projectId": 123,
"versionId": 123,
"projectApiKey": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({projectId: 123, versionId: 123, projectApiKey: '<string>'})
};

fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Body

application/json
projectId
integer
required

Source project ID

versionId
integer
required

Source project version ID

projectApiKey
string

Source project API key. This can be omitted if authenticating using a JWT token (you need to be a member of the source project).

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

error
string

Optional error description (set if 'success' was false)